Ask Your Question
0

Error: Could not request certificate: Error 400 on SERVER: The environment must be purely alphanumeric, not 'puppet-ca'

asked 2015-05-06 08:04:37 -0500

tenguitars gravatar image

Windows server 2012 agent fails to get certificate from RHEL7 puppet rack master with ... Error: Could not request certificate: Error 400 on SERVER: The environment must be purely alphanumeric, not 'puppet-ca' - Any ideas ?

neither the agent nor the master have the environment puppet-ca set anywhere that I can see so this is probably a red herring

Thanks

edit retag flag offensive close merge delete

Comments

I am seeing this also, with puppet agent 4.1.0 (Fedora 22) and puppet master 3.7.1 (Fedora 21). The only clew I can see is that '/puppet-ca' is the first segment of the HTTP request being made.

coar gravatar imagecoar ( 2015-11-24 06:24:05 -0500 )edit

3 Answers

Sort by ยป oldest newest most voted
0

answered 2016-05-03 18:22:48 -0500

Ivantremble gravatar image

Not true, I downloaded both server and agent from the same location (the yum repository from puppet) and still get this error on RH 6.5.

(Client) puppet-agent-1.4.2-1.el6.x86_64

(Server) puppet-2.7.26-2.el6.noarch puppet-server-2.7.26-2.el6.noarch

[root@server2 init.d]# /opt/puppetlabs/puppet/bin/puppet agent --server server3 --waitforcert 120 --test Error: Could not request certificate: Error 400 on SERVER: The environment must be purely alphanumeric, not 'puppet-ca' Error: Could not request certificate: Error 400 on SERVER: The environment must be purely alphanumeric, not 'puppet-ca' ^CNotice: Caught INT; exiting

strong text Any further updates on this issu4e?

edit flag offensive delete link more
0

answered 2016-02-15 11:19:02 -0500

awippler gravatar image

Error: Could not request certificate: Error 400 on SERVER: The environment must be purely alphanumeric, not 'puppet-ca' comes when the puppet agent's version is newer than the puppet master version. Either upgrade your puppet master or downgrade the agent.

edit flag offensive delete link more
0

answered 2015-05-06 13:13:15 -0500

It appears 'not' to just be a red herring...I had the same issue with the seperately-named 'puppet agent' and when I rolled back to the latest, dated 26-Mar-15, everything worked as expected.

Hope this helps.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2015-05-06 08:04:37 -0500

Seen: 11,044 times

Last updated: Feb 15 '16